<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<link rel="stylesheet" href="style.css">
</head>
<body>
<a id = "top"></a>
<ol>
<li><a href = "http://www.example.com">example.com</a></li>
<li><a href = "https://www.example.com">example.com</a></li>
<li><a href = "ftp://example.com/file.txt">Ссылка ftp без логина и пароля</a> </li>
<li><a href = "ftp://login:password@example.com/Temp/file.txt">Ссылка ftp с логином и паролем</a> </li>
<li><a href = "http://www.example.com#top">Оглавление example.com</li>
<li><a href = "#top">Оглавление текущей страницы</li>
<li><a href = "http://www.example.com?a&b">ссылка с 2-мя параметрами</a></li>
</ol>
</body>
</html>